# UnknownFormatException (Crawler-commons 1.2 API)
Date: 2021-10-08

crawlercommons.sitemaps

## Class UnknownFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.sitemaps.UnknownFormatException

All Implemented Interfaces:
  Serializable

    public class UnknownFormatException
    extends Exception

Exception thrown if the format of a sitemap failed to parse.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnknownFormatException()`
`UnknownFormatException(String message)`
`UnknownFormatException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnknownFormatException

    public UnknownFormatException()

#### UnknownFormatException

    public UnknownFormatException(String message)

#### UnknownFormatException

    public UnknownFormatException(String message,
                                  Throwable cause)